/* Gets subpage boundaries in absolute coordinates (mm from bottom */
/* left-hand corner of page) */

#include "plplot.h"

void plgspa(xmin,xmax,ymin,ymax)
double *xmin, *xmax, *ymin, *ymax;
{
      double spdxmi, spdxma, spdymi, spdyma;
      int level;

      glev(&level);
      if (level < 1) plexit("Please call plstar before plgspa.");
      gspd(&spdxmi,&spdxma,&spdymi,&spdyma);
      *xmin = dcmmx(spdxmi);
      *xmax = dcmmx(spdxma);
      *ymin = dcmmy(spdymi);
      *ymax = dcmmy(spdyma);
}
